using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DuffBeerPluginLibrary.Plugins;
using DuffBeer.Sensors;
using DuffBeer.Sensors.Utility;

namespace DONUT
{
    public partial class GraphTester : Form
    {
        public GraphTester()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            List<double> data = new List<double>();
            Random r = new Random(DateTime.Now.Millisecond);
            int max = r.Next(50) + 300;
            SMRTSensor lol = new SMRTSensor();
            for (int i = 0; i < max; i++)
            {
                data.Add(((DataReading)lol.RequestData()).Value);
            }
            pictureBox1.Image = LolGraph.DrawGraph(data, pictureBox1.Width, pictureBox1.Height, DateTime.Now);
        }
    }
}