using System;
using System.Collections.Generic;
using System.Text;

namespace DuffBeer.Communication
{
    public interface ITask
    {
        /// <summary>
        /// Runs the task
        /// </summary>
        void PerformTask();

        /// <summary>
        /// Configures the task
        /// </summary>
        /// <param name="name">The task name</param>
        /// <param name="data">Any extra data for this task</param>
        void InitializeTask(string name, object[] data);
    }
}
