using System;
using System.Collections.Generic;
using System.Text;
using MrHomer.Plugins;
using MrHomer.Networking;

namespace DuffBeer.Messages
{
    [MrHomerPlugin("Required", "Subject")]
    public interface IMessageHandler : IPlugin
    {
        /// <summary>
        /// Runs the message handler
        /// </summary>
        /// <param name="p">The received message packet</param>
        /// <param name="Connection">The connection</param>
        void Invoke(Packet p, string Connection);
    }
}
