using System;
using System.Collections.Generic;
using System.Text;
using DuffBeer.Messages;
using MrHomer.Plugins;

namespace DuffBeer.Messages.MessageTypes
{
    [MrHomerPlugin("Subject", "")]
    public class DefaultMessageHandler : IMessageHandler
    {
        #region IMessageHandler Members

        public void Invoke(MrHomer.Networking.Packet p, string Connection)
        {
            //Mention that the packet is not recognized, possible in an error manager
        }

        #endregion

        #region IPlugin Members

        public string Author
        {
            get { return "Chris Scalabrini"; }
        }

        public string Version
        {
            get { return "1.0"; }
        }

        public string Label
        {
            get { return "Sends back sensor data."; }
        }

        #endregion
    }
}
