using System;
using System.Collections.Generic;
using System.Text;

namespace DuffBeer.Messages.ProgressTaskStructures
{
    public class SensorTaskList
    {
        static private SensorTaskList instance;
        static public SensorTaskList getInstance()
        {
            if (instance == null)
                instance = new SensorTaskList();
            return instance;
        }

        private SensorTaskList()
        {
            sensors = new Dictionary<string, SensorTask>();
        }

        public Dictionary<string, SensorTask> GetTasks()
        {
            return sensors;
        }
        Dictionary<string, SensorTask> sensors;
    }
}
