using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MrHomerDriver
{
    public partial class ConnectionManagerTest : Form
    {
        public ConnectionManagerTest()
        {
            InitializeComponent();
            ConnectionManagerTestBackend.getInstance().ConsoleDump += new ConnectionManagerTestBackend.OutputChanged(ConnectionManagerTest_ConsoleDump);
        }

        void ConnectionManagerTest_ConsoleDump(string[] text)
        {
            textBox1.Lines = text;
            if (textBox1.Text.Length > 0)
            {
                textBox1.SelectionStart = textBox1.Text.Length - 1;
                textBox1.SelectionLength = 0;
                textBox1.ScrollToCaret();
            }
        }

        private void ctrlPanel_Click(object sender, EventArgs e)
        {
            ConnectionManagerTestPanel test = new ConnectionManagerTestPanel();
            test.Enabled = true;
            test.Visible = true;
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {

        }

        private void ConnectionManagerTest_Load(object sender, EventArgs e)
        {

        }

        protected override void OnClosed(EventArgs e)
        {
            base.OnClosed(e);
            Application.Exit();
        }
    }
}