using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Reflection;

namespace DONUT
{
    public partial class LoginDialog : Form
    {
        MainForm myForm;
        float counter;
        public LoginDialog(MainForm form)
        {
            counter = 0;
            InitializeComponent();
            myForm = form;
            form.GotFocus += new EventHandler(form_GotFocus);
            this.ShowInTaskbar = false;
            this.Location = new Point(form.Left + (this.Width - form.Width) / 2, form.Top + (this.Height - form.Height) / 2);
        }

        void form_GotFocus(object sender, EventArgs e)
        {
            this.TopMost = true;
            this.TopMost = false;
        }

        private void LoginDialog_Load(object sender, EventArgs e)
        {
            pictureBox1.Image = new Bitmap(Resources.Donut, new Size(pictureBox1.Width, pictureBox1.Height));
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            counter = (counter + 0.8825f) % 511;
            this.BackColor = Color.FromArgb(Math.Abs((int)(counter) - 255),0,0);
            base.OnPaint(e);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            myForm.CompletePasswordDialog(null, null);
            this.Dispose();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            myForm.CompletePasswordDialog(textBox1.Text, textBox2.Text);
            this.Dispose();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            this.Refresh();
        }
    }
}