using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Drawing;
using System.Reflection;
using System.Threading;

namespace DONUT
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Thread.CurrentThread.Name = "Main";
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
#if DEBUG
            Thread t = new Thread(new ThreadStart(ErrMain));
            t.Name = "Error Log Window";
            t.Start();
            
#endif
            try
            {
                Application.Run(new MainForm());
            }
            catch (ObjectDisposedException)
            {
            }
        }

        private static void ErrMain()
        {
            Application.Run(new ErrorLogWindow());
        }
    }
}
