using System;
using System.Collections.Generic;
using System.Text;
using MrHomer.Networking;

namespace DuffBeer.Communication
{
    public class Credentials : IHSerializable
    {
        private string myUPRN;
        public string UPRN
        {
            get { return myUPRN; }
            set { myUPRN = value; }
        }

        #region IHSerializable Members

        public byte[] Serialize()
        {
            StringData s = new StringData(myUPRN);
            return s.Serialize();
        }

        public void Deserialize(byte[] data)
        {
            StringData s = new StringData();
            s.Deserialize(data);
            myUPRN = s.Data;
            myUPRN.Trim('\0');
        }

        #endregion
    }
}
