using System;
using System.Collections.Generic;
using System.Text;
using MrHomer.Networking;

namespace DuffBeer.Communication
{
    public class ConnectionTask : ITask
    {
        private string myName;
        private object[] myData;

        public void PerformTask()
        {
            if ((bool)myData[2])
            {
                CommunicationManager.getInstance().PendingHigherConnection.Add(myName);
            }
            else
            {
                CommunicationManager.getInstance().PendingTempHigherConnection.Add(myName);
            }
            ConnectionManager.getInstance().MakeConnection(myName, (string)myData[0], (int)myData[1], true);
        }

        public void InitializeTask(string name, object[] data)
        {
            myName = name;
            myData = data.Clone() as object[];
        }
    }
}
