using System;
using System.Collections.Generic;
using System.Text;

namespace DuffBeer.Database.StructureTypes
{
    static public class DuffBeerDatabaseConfig
    {
        static private string dbName = "PrimaryDB";

        static public string DatabaseName
        {
            get { return dbName; }
            set { dbName = value; }
        }

        public const string FiltersTable = "Filters";

        public const string KeyStoreTable = "KeyStore";

        public const string RegisteredUsersTable = "RegisteredUsers";

        public const string SensorsTable = "Sensors";

        public const string SnapshotsTable = "Snapshots";

        public const string RegisteredSystemsTable = "RegisteredSystems";

        public const string TemporarySystemsTable = "TemporarySystems";

        public const string ConnectionInitiationTable = "ConnectionInitiation";

        public const string LocationSearchCache = "SearchCache";

        public const string GISDataTable = "GISData";       //added by nroy to allow the RRA to log incoming data based on UPRN 
    }
}
