using System;
using System.Collections.Generic;
using System.Text;

namespace DuffBeer.Main
{
    public class SearchResult
    {
        public string SearchValue;
        public string MainResult;
        public string SecondaryResult;

        public override bool Equals(object obj)
        {
            if (obj == null || !obj.GetType().Equals(typeof(SearchResult)))
                return false;
            SearchResult s = obj as SearchResult;
            return (s.MainResult == this.MainResult && s.SearchValue == this.SearchValue && s.SecondaryResult == this.SecondaryResult);
        }

        public override int GetHashCode()
        {
            return base.GetHashCode();
        }

        static public string Label(string label, string value)
        {
            return label + (char)1 + value;
        }

        static public string Sanitize(string value)
        {
            try
            {
                return value.Split((char)1)[1];
            }
            catch
            {
                return value;
            }
        }
    }
}
