using System;
using System.Collections.Generic;
using System.Text;
using MrHomer.Networking;

namespace DuffBeer.Messages.Serialization
{
    public class PacketData : IHSerializable
    {
        public Packet data;

        public PacketData(Packet p)
        {
            data = p;
        }

        public PacketData()
        { }

        #region IHSerializable Members

        public byte[] Serialize()
        {
            if (data == null)
            {
                throw new Exception("PacketData Serialization failed: No packet has been set.");
            }
            return data.Serialize();
        }

        public void Deserialize(byte[] data)
        {
            this.data = new Packet(data);
        }

        #endregion
    }
}
