using System;
using System.Collections.Generic;
using System.Text;
using MrHomer.Networking;

namespace DuffBeer.Messages.ProgressTaskStructures
{
    public class SubSystemTask
    {
        public readonly int Count;
        public StringListData UPRNs;

        public SubSystemTask(int Number)
        {
            Count = Number;
            UPRNs = new StringListData();
        }

        public bool Done
        {
            get { return Count == UPRNs.Count; }
        }
    }
}
