using System;
using System.Collections.Generic;
using System.Text;
using MrHomer.Networking;

namespace DuffBeer.Messages.ProgressTaskStructures
{
    public class SubSystemTaskList
    {
        private static SubSystemTaskList instance;
        public static SubSystemTaskList getInstance()
        {
            if (instance == null)
                instance = new SubSystemTaskList();
            return instance;
        }

        private Dictionary<string, SubSystemTask> tasks;

        private SubSystemTaskList()
        {
            tasks = new Dictionary<string, SubSystemTask>();
        }

        public Dictionary<string, SubSystemTask> GetTasks()
        {
            return tasks;
        }
    }
}
