using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SqlClient;

namespace MrHomerDriver.TestClasses
{
    public class SQL_Database_NTAuth : SQL_Database
    {
        public SQL_Database_NTAuth() : base() { }

        public override bool Connect(string dataSource, string username, string password, string database)
        {
            SqlConnectionStringBuilder n = new SqlConnectionStringBuilder();

            n.DataSource = dataSource;
            n.IntegratedSecurity = true;
            n.InitialCatalog = database;

            try
            {
                conn = new SqlConnection(n.ConnectionString);
                conn.Open();
            }
            catch
            {
                conn = null;
                return false;
            }

            return true;
        }
    }
}
