using System;
using System.Collections.Generic;
using System.Text;
using DuffBeer.Sensors.Interfaces;
using System.IO;
using MrHomer.Plugins;

namespace On_Site_Server
{
    [MrHomerPlugin("Name", "Test Data Filter")]
    [MrHomerPlugin("Description", "Does nothing much with the data")]
    class TestFilter : IDataFilter
    {
        #region IDataFilter Members

        public object Filter(object data)
        {
            Double d = (double)data;
            
            //write this data to a file
            FileStream file = new FileStream("test.txt", FileMode.Append, FileAccess.Write);
            StreamWriter sw = new StreamWriter(file, UTF8Encoding.UTF8);

            sw.WriteLine(d);

            sw.Close();
            file.Close();

            return d;

        }

        public byte[] SerializeConfiguration()
        {
            return new byte[] { 1, 1 };
        }

        public void DeserializeConfiguration(byte[] data)
        {
            
        }

        public Type InputType
        {
            get { return typeof(Double); }
        }

        public Type OutputType
        {
            get { return typeof(Double); }
        }

        public int DBID
        {
            get
            {
                throw new Exception("The method or operation is not implemented.");
            }
            set
            {
                throw new Exception("The method or operation is not implemented.");
            }
        }

        public DuffBeer.Sensors.Sensor associatedSensor
        {
            get
            {
                return null;
            }
            set
            {
                ;
            }
        }

        #endregion

        #region IPlugin Members

        public string Author
        {
            get { return "Nathan Roy"; }
        }

        public string Version
        {
            get { return "V 0.1"; }
        }

        public string Label
        {
            get { return "Test Data Filter"; }
        }

        #endregion
    }
}
